System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable

always uses the default from the current thread, but contains its own locale Id and compare flags. The comparison result of two structures is independent of operating system and current thread locale.

When you use comparison operators, note that if the LCIDs of arguments are different, comparison functions throw an exception because they cannot be compared. For example, the statement

`SqlString mySqlString = new SqlString("abc");`

is equivalent to

`SqlString mySqlString = new SqlString("abc", CultureInfo.CurrentCulture.LCID);`

Represents a variable-length stream of characters to be stored in or retrieved from the database. has a different underlying data structure from its corresponding .NET Framework data type.

- Constructor
  To be added

  Initializes a new instance of the structure using the specified string.

  The string to store.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the specified string and locale id values.

  The string to store.
  Specifies the geographical locale and language for the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the specified locale id, compare options, and data.

  Specifies the geographical locale and language for the new structure.
  Specifies the compare options for the new structure.
  The data array to store.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the specified string, locale id, and compare option values.

  The string to store.
  Specifies the geographical locale and language for the new structure.
  Specifies the compare options for the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class.

  Specifies the geographical locale and language for the new structure.
  Specifies the compare options for the new structure.
  The data array to store.
  true if Unicode encoded. Otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class.

  Specifies the geographical locale and language for the new structure.
  Specifies the compare options for the new structure.
  The data array to store.
  The starting index within the array.
  The number of characters from index to copy.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class.

  Specifies the geographical locale and language for the new structure.
  Specifies the compare options for the new structure.
  The data array to store.
  The starting index within the array.
  The number of characters from index to copy.
  true if Unicode encoded. Otherwise, false.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlString `` ``

  will appear first in the resulting , followed by .

  Concatenates two specified values to create a new structure.

  A that is the concatenated value of and .

  A . A .
- Field
  System.Int32

  functions as a constant for the class.

  Specifies that sorts should be based on a characters numeric value instead of its alphabetical value.

  1.0.5000.0
  2.0.0.0
  32768
- Method
  System.Data.SqlTypes.SqlString To be added

  Creates a copy of this object.

  A new object in which all property values are the same as the original.

  1.0.5000.0
  2.0.0.0
- Property
  System.Globalization.CompareInfo To be added: an object of type 'Globalization.CompareInfo' To be added

  Gets the object that defines how string comparisons should be performed for this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Globalization.CompareOptions `` To be added

  Gets the enumeration equilvalent of the specified value.

  A CompareOptions value that corresponds to the SqlCompareOptions for this structure.

  A value that describes the comparison options for this structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic).

  The to be compared.
- Method
  System.Int32 `` To be added

  Compares this object to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlString `` `` To be added

  Concatenates the two specified structures.

  A that contains the newly concatenated value representing the contents of the two parameters.

  A . A . 1.0.5000.0 2.0.0.0
- Property
  System.Globalization.CultureInfo To be added: an object of type 'Globalization.CultureInfo' To be added

  Gets the structure that represents information about the culture of this object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  Equals will return true if the object is an instance of and the two are equal; otherwise false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, then the SqlString will be null.

  A . A . 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added

  Gets an array of bytes, that contains the contents of the in ANSI format.

  An byte array, that contains the contents of the in ANSI format.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added

  Gets an array of bytes, that contains the contents of the in Unicode format.

  An byte array, that contains the contents of the in Unicode format.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A . 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A . 1.0.5000.0 2.0.0.0
- Field
  System.Int32

  functions as a constant for the class.

  Specifies that comparisons should ignore case.

  1.0.5000.0
  2.0.0.0
  1
- Field
  System.Int32

  Kana type refers to Japanese hiragana and katakana characters that represent phonetic sounds in the Japanese language. Hiragana is used for native Japanese expressions and words, while katakana is used for words borrowed from other languages, such as "computer" or "Internet". A phonetic sound can be expressed in both hiragana and katakana. If this value is selected, the hiragana character for one sound is considered equal to the katakana character for the same sound.

  functions as a constant for the class.

  Specifies that the string comparison must ignore the Kana type.

  1.0.5000.0
  2.0.0.0
  8
- Field
  System.Int32

  The Unicode Standard defines combining characters as characters that are combined with base characters to produce a new character. Non-space combining characters do not use character space by themselves when rendered. For more information about non-space combining characters, see the Unicode Standard at http://www.unicode.org.

  functions as a constant for the class.

  Specifies that the string comparison must ignore non-space combining characters, such as diacritics.

  1.0.5000.0
  2.0.0.0
  2
- Field
  System.Int32

  For example, Japanese katakana characters can be written as full-width or half-width and, if this value is selected, the katakana characters written as full-width are considered equal to the same characters written in half-width.

  functions as a constant for the class.

  Specifies that the string comparison must ignore the character width.

  1.0.5000.0
  2.0.0.0
  16
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Specifies the geographical locale and language for the structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A . 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A . 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A . A . 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlString

  Null functions as a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` `` To be added.

  Concatenates the two specified structures.

  A that contains the newly concatenated value representing the contents of the two parameters.

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlString `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A .
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A . A .
- Property
  System.Data.SqlTypes.SqlCompareOptions To be added: an object of type 'SqlCompareOptions' To be added

  A combination of one or more of the enumeration values that represent the way in which this should be compared to other structures.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Data.SqlTypes.SqlBoolean To be added

  Converts this structure to .

  true if the is non-zero; false if zero; otherwise Null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte To be added

  Converts this structure to .

  A new SqlByte structure whose equals the number represented by this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDateTime To be added

  Converts this structure to .

  A new SqlDateTime structure that contains the date value represented by this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal To be added

  Converts this structure to .

  A new that contains the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble To be added

  Converts this structure to .

  A new that is equal to the numeric value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlGuid To be added

  Converts this structure to .

  A new structure whose is the Guid represented by this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A new that is equal to the numeric value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this structure to .

  A new that is equal to the numeric value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A new that is equal to the numeric value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney To be added

  Converts this structure to .

  A new that is equal to the numeric value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle To be added

  Converts this structure to .

  A new that is equal to the numeric value of this ..

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts a object to a .

  A with the same value as this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the string that is stored in this structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")